## octavia 5.1.2

=== debian/changelog ===
octavia (5.1.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:28:59 +0000

octavia (5.1.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1923038).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Apr 2021 11:48:58 +0000

octavia (5.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1915787).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:24:30 +0000

octavia (5.0.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Train (LP: #1900476).
  * d/p/fix-batch-member-create-for-v1-amphora-driver.patch: Dropped.
    Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:58:43 -0400

octavia (5.0.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * Fix batch creation of new members failure due to timeouts (LP: #1882657)
    - d/p/fix-batch-member-create-for-v1-amphora-driver.patch 

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 08 Jul 2020 10:55:17 +0530

octavia (5.0.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 07 Feb 2020 16:32:42 +0000

octavia (5.0.1-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * New stable point release for OpenStack Train (LP: #1858933).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:30:35 -0500

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinx-feature-classification (>= 0.2.0),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.19.0),
 python3-diskimage-builder (>= 1.1.2),
 python3-distro (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-graphviz (>= 0.4),
 python3-gunicorn (>= 19.9.0),
 python3-hacking (>= 1.1.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.19),
 python3-netifaces (>= 0.10.4),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.0.0),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-pyroute2 (>= 0.4.21),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-rfc3986 (>= 0.3.1),
 python3-sadisplay (>= 0.4.8),
 python3-setproctitle (>= 1.1.10),
 python3-simplejson (>= 3.13.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 5.0.4),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.14.1),
 python3-wsme (>= 0.8.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
Homepage: https://github.com/openstack/octavia

Package: amphora-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Amphora agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Amphora Agent.

Package: octavia-api
Architecture: all
Section: python
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the documentation for Octavia.

Package: octavia-health-manager
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-cryptography (>= 2.1),
 python3-diskimage-builder (>= 1.1.2),
 python3-distro (>= 1.2.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gunicorn (>= 19.9.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netaddr (>= 0.7.19),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pecan (>= 1.0.0),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.4.21),
 python3-requests (>= 2.14.2),
 python3-rfc3986 (>= 0.3.1),
 python3-setproctitle (>= 1.1.10),
 python3-simplejson (>= 3.13.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),

## octavia 6.0.0~b3~git2020041014.771a5d87

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
cotyledon>=1.3.0 # Apache-2.0
pecan>=1.3.2 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
SQLAlchemy-Utils>=0.30.11
Babel!=2.4.0,>=2.3.4 # BSD
futurist>=1.2.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
WebOb>=1.8.2 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=6.3.0 # Apache-2.0
oslo.middleware>=4.0.1 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
PyMySQL>=0.7.6 # MIT License
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
taskflow>=4.1.0 # Apache-2.0
diskimage-builder>=2.24.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
tenacity>=5.0.4  # Apache-2.0
distro>=1.2.0 # Apache-2.0
jsonschema>=2.6.0 # MIT
debtcollector>=1.19.0 # Apache-2.0
octavia-lib>=2.0.0 # Apache-2.0
netaddr>=0.7.19 # BSD
simplejson>=3.13.2 # MIT
setproctitle>=1.1.10 # BSD

#for the amphora api
Flask!=0.11,>=0.10 # BSD
netifaces>=0.10.4 # MIT
cryptography>=2.1 # BSD/Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.9.0 # MIT
Werkzeug>=0.14.1 # BSD License

=== diskimage-create/requirements.txt ===
Babel>=1.3
diskimage-builder>=2.24.0
PyYAML
six>=1.9.0

=== debian/changelog ===
octavia (6.0.0~b3~git2020041014.771a5d87-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/octavia-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:17:54 -0400

octavia (6.0.0~b3~git2020032609.73fca169-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/octavia-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).
  * d/rules: Blacklist failing unit tests due to odd Mock behaviour
    under Python 3.8.

 -- James Page <james.page@ubuntu.com>  Tue, 31 Mar 2020 13:14:50 +0100

octavia (6.0.0~b2~git2020020614.005cd1e6-0ubuntu2) focal; urgency=medium

  [ Frode Nordahl ]
  * d/control,octavia-driver-agent.init.in: Add binary package for driver agent.
    (LP: #1861671)

  [ James Page ]
  * d/*: wrap-and-sort -bast.
  * d/control: Drop duplicate BD on pythnon3-pbr.
  * d/rules: Map PBR_VERSION directly to OSLO_PACKAGE_VERSION.
  * d/control: Add Pre-Depends to all binary packages.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 20 Feb 2020 12:05:13 +0000

octavia (6.0.0~b2~git2020020614.005cd1e6-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 15:04:49 +0100

octavia (6.0.0~b1~git2019121614.45cb1e4e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 14:51:56 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
@@ -16,18 +16,19 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
  python3-sphinx-feature-classification (>= 0.2.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 Build-Depends-Indep:
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
- python3-cinderclient (>= 3.3.0),
+ python3-cinderclient (>= 1:3.3.0),
  python3-cotyledon (>= 1.3.0),
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
  python3-debtcollector (>= 1.19.0),
- python3-diskimage-builder (>= 1.1.2),
+ python3-diskimage-builder (>= 2.24.0),
  python3-distro (>= 1.2.0),
  python3-doc8 (>= 0.6.0),
  python3-docutils (>= 0.11),
@@ -42,13 +43,12 @@
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.19),
  python3-netifaces (>= 0.10.4),
  python3-networkx (>= 1.10),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-octavia-lib (>= 1.3.1),
+ python3-octavia-lib (>= 1.5.0),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
@@ -65,7 +65,7 @@
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-pecan (>= 1.0.0),
+ python3-pecan (>= 1.3.2),
  python3-pyasn1 (>= 0.1.8),
  python3-pyasn1-modules (>= 0.0.6),
  python3-pydot (>= 1.2.4),
@@ -96,12 +96,12 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.7.1),
+ python3-webob (>= 1:1.8.2),
  python3-werkzeug (>= 0.14.1),
  python3-wsme (>= 0.8.0),
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
 Package: amphora-agent
@@ -111,6 +111,8 @@
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer Service - Amphora agent
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -139,6 +141,8 @@
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer as a Service - API frontend
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -165,6 +169,8 @@
  python3-octavia (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer as a Service - Common files
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -188,6 +194,8 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer Service - documentation
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -205,6 +213,32 @@
  .
  This package contains the documentation for Octavia.
 
+Package: octavia-driver-agent
+Architecture: all
+Depends:
+ octavia-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Description: OpenStack Load Balancer Service - Driver Agent
+ Openstack Load Balancer as a Service, codenamed Octavia was borne
+ out of the Neutron LBaaS project. Its conception influenced
+ the transformation of the Neutron LBaaS project, as Neutron LBaaS
+ moved from version 1 to version 2. Starting with the Liberty
+ release of OpenStack, Octavia has become the reference implementation
+ for Neutron LBaaS version 2.
+ .
+ Octavia accomplishes its delivery of load balancing services by
+ managing a fleet of virtual machines, containers, or bare metal
+ servers—collectively known as amphorae— which it spins up on demand.
+ This on-demand, horizontal scaling feature differentiates Octavia from
+ other load balancing solutions, thereby making Octavia truly
+ suited “for the cloud.”.
+ .
+ This package provides Octavia Driver Agent.
+
 Package: octavia-health-manager
 Architecture: all
 Depends:
@@ -212,6 +246,8 @@
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer Service - Health manager
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -236,6 +272,8 @@
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer Service - Housekeeping manager
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -260,6 +298,8 @@
  ${misc:Depends},
  ${ostack-lsb-base},
  ${python3:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: OpenStack Load Balancer Service - Worker
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
@@ -285,45 +325,5 @@
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
- python3-cinderclient (>= 3.3.0),
+ python3-cinderclient (>= 1:3.3.0),
  python3-cotyledon (>= 1.3.0),
- python3-cryptography (>= 2.1),
- python3-diskimage-builder (>= 1.1.2),
- python3-distro (>= 1.2.0),
- python3-flask (>= 0.10),
- python3-futurist (>= 1.2.0),
- python3-glanceclient (>= 1:2.8.0),
- python3-gunicorn (>= 19.9.0),
- python3-jinja2 (>= 2.10),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-netaddr (>= 0.7.19),
- python3-netifaces (>= 0.10.4),
- python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:9.1.0),
- python3-octavia-lib (>= 1.3.1),
- python3-openssl (>= 17.1.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pecan (>= 1.0.0),
- python3-pyasn1 (>= 0.1.8),
- python3-pyasn1-modules (>= 0.0.6),
- python3-pymysql (>= 0.7.6),
- python3-pyroute2 (>= 0.4.21),
- python3-requests (>= 2.14.2),
- python3-rfc3986 (>= 0.3.1),
- python3-setproctitle (>= 1.1.10),
- python3-simplejson (>= 3.13.2),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
- python3-stevedore (>= 1:1.20.0),

## octavia 6.2.2

=== requirements.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 oslo.middleware>=4.0.1 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.28.1 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pyasn1!=0.2.3,>=0.1.8 # BSD
@@ -39,7 +39,7 @@
 WSME>=0.8.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 taskflow>=4.1.0 # Apache-2.0
-diskimage-builder>=2.24.0 # Apache-2.0
+diskimage-builder>=2.27.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 tenacity>=5.0.4  # Apache-2.0
 distro>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Docs
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
graphviz!=0.5.0,>=0.4 # MIT License
openstackdocstheme>=1.20.0 # Apache-2.0
sadisplay>=0.4.8 # BSD
reno>=2.5.0 # Apache-2.0
sphinx-feature-classification>=0.2.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

# This needs to be installed after above modules
pydot>=1.2.4 # MIT License
pydotplus>=2.0.2 # MIT License
pyparsing>=2.1.0 # MIT
networkx>=1.10 # BSD

=== debian/changelog ===
octavia (6.2.2-0ubuntu1.1) focal; urgency=medium

  * d/p/fix-barbican-client-with-application-credentials-trust.patch:
    Fix barbican client when using application credentials. (LP: #2035180).

 -- David Negreira <david.negreira@canonical.com>  Tue, 24 Oct 2023 12:56:13 +0000

octavia (6.2.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1956994).
  * d/p/0001-Fix-duplicate-SG-creation-for-listener-peer-port.patch:
    Remove after patch is released upstream

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 11 Jan 2022 21:11:19 +0000

octavia (6.2.1-0ubuntu2) focal; urgency=medium

  * d/p/0001-Fix-duplicate-SG-creation-for-listener-peer-port.patch: Fix listener
    creation when allowed_cidr is set to 0.0.0.0/0 (LP: #1944666).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 13 Oct 2021 15:11:45 +0530

octavia (6.2.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1941048).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:04:07 +0000

octavia (6.2.0-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1923036).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Apr 2021 12:14:14 +0000

octavia (6.1.0-0ubuntu1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1900477).
  * d/p/fix-batch-member-create-for-v1-amphora-driver.patch: Dropped.
    Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:33:20 -0400

octavia (6.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * Fix batch creation of new members failure due to timeouts (LP: #1882657)
    - d/p/fix-batch-member-create-for-v1-amphora-driver.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 08 Jul 2020 09:43:39 +0530

octavia (6.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:43:41 -0400

=== debian/control ===
--- 
+++ 
@@ -100,8 +100,8 @@
  python3-werkzeug (>= 0.14.1),
  python3-wsme (>= 0.8.0),
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
 Package: amphora-agent

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=octavia

include /usr/share/openstack-pkg-tools/pkgos.make

export PBR_VERSION=$(OSLO_PACKAGE_VERSION)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf octavia.sqlite
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg
	rm -f debian/octavia-api.postinst debian/octavia-api.config debian/octavia-common.postinst debian/octavia-common.config

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
	pkgos-merge-templates octavia-api octavia endpoint
	pkgos-merge-templates octavia-common octavia db rabbit ksat

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): https://bugs.launchpad.net/ubuntu/+source/octavia/+bug/1869171
	pkgos-dh_auto_test --no-py2 --black-regex '^octavia.tests.unit.certificates.manager.test_barbican_legacy.TestBarbicanManager.*'
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token

	# Same with policy.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/policy.json \
		--format json \
		--namespace octavia

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## octavia 7.0.0

=== debian/changelog ===
octavia (7.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:45:32 -0400

octavia (7.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-diskimage-builder.patch: Dropped. Fixed upstream in rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:03:56 -0400

octavia (7.0.0~b3~git2020091410.b400620a-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-diskimage-builder.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 10:36:48 +0000

octavia (7.0.0~b2~git2020073014.c78a1b2c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:39:00 -0400

octavia (7.0.0~b1~git2020070215.f68e3aba-0ubuntu5) groovy; urgency=medium

  * d/rules, d/octavia-common.postinst.in: Restore items that are necessary
    for octavia-common .in file generation.
  * d/control, d/tests/*: Add autopkgtests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Jul 2020 13:27:19 -0400

octavia (7.0.0~b1~git2020070215.f68e3aba-0ubuntu4) groovy; urgency=medium

  * d/control, d/py3dist-overrides: Move python3-gunicorn to amphora-agent
    binary package as current MIR approach is to keep amphora-agent in
    universe.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Jul 2020 11:35:47 -0400

octavia (7.0.0~b1~git2020070215.f68e3aba-0ubuntu3) groovy; urgency=medium

  * d/control: Drop python3-diskimage-builder as it is not needed
    for octavia proper build/run-time. It is used to build amphora images.
  * d/p/drop-diskimage-builder.patch: Drop diskimage-builder from Depends in
    line with https://storyboard.openstack.org/#!/story/2007934.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Jul 2020 10:43:49 -0400

octavia (7.0.0~b1~git2020070215.f68e3aba-0ubuntu2) groovy; urgency=medium

  * d/control, d/rules, d/*.config.in, d/*.postinst.in, d/*.prerm: Remove
    debconf config management.
  * d/rules: Re-enable all tests to as bug 1869171 may no longer reproduce
    in groovy.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Jul 2020 13:21:53 -0400

octavia (7.0.0~b1~git2020070215.f68e3aba-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 15:23:10 -0400

octavia (6.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:43:41 -0400
